[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: svn to perforce

From: Res Pons <pons32_at_hotmail.com>
Date: 2007-05-24 19:34:35 CEST

Thanks for the reply. I just went ahead and installed 1.4.3.

----Original Message Follows----
From: Jim Sokoloff <jim@sokoloff.com>
To: Res Pons <pons32@hotmail.com>
CC: users@subversion.tigris.org
Subject: Re: svn to perforce
Date: Wed, 23 May 2007 18:18:46 -0400 (EDT)

>My question is, would it be risky to import an svn repo running under 1.4
>into 1.3.2-1?

Safest method (other than building 1.4.3 from sources on
your platform, which I can understand why you wouldn't
want to do) would be to svnadmin dump the old repository
(on their server) and have them g/bzip that and send it
to you.

Then, you could svnadmin load it into a virgin repository
under 1.3, which should work just fine.

Assuming you can get them to give you a dumpfile, I'd
feel a lot safer with this approach than just blindly
taking an unknown 1.4 repo and pointing 1.3 binaries at
it.

--Jim

_________________________________________________________________
Catch suspicious messages before you open themówith Windows Live Hotmail.
http://imagine-windowslive.com/hotmail/?locale=en-us&ocid=TXT_TAGHM_migration_HM_mini_protection_0507

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Thu May 24 19:34:56 2007

This is an archived mail posted to the Subversion Users mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.